Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.poly2lag

polynomial.laguerre.poly2lag(pol)

  Convert a polynomial to a Laguerre series.

  Convert an array representing the coefficients of a polynomial (relative to the “standard” basis) ordered from lowest degree to highest, to an array of the coefficients of the equivalent Laguerre series, ordered from lowest to highest degree.

  Parameters:
    pol array_like

      1-D array containing the polynomial coefficients

  Returns:
    c ndarray

      1-D array containing the coefficients of the equivalent Laguerre series.

  See also

  `lag2poly`

  Notes

  The easy way to do conversions between polynomial basis sets is to use the convert method of a class instance.

  Examples

      >>> import numpy as np
      >>> from numpy.polynomial.laguerre import poly2lag
      >>> poly2lag(np.arange(4))
      array([ 23., -63.,  58., -18.])